Bug 969687 - libibverbs fails to build for aarch64
libibverbs fails to build for aarch64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libibverbs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 16:08 EDT by Mark Salter
Modified: 2013-08-01 23:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: libibverbs-1.1.7-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:36:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-06-01 16:08:27 EDT
Description of problem:
Aarch64 currently lacks valgrind support, so libibverbs needs this specfile tweak to build on aarch64:

diff --git a/libibverbs.spec b/libibverbs.spec
index aedef61..cf8b805 100644
--- a/libibverbs.spec
+++ b/libibverbs.spec
@@ -13,7 +13,7 @@ Patch3: 0004-Fix-the-compatibility-wrapper-on-ppc.patch
 Patch4: 0005-Don-t-print-link-phys-state-on-iWARP.patch
 Patch5: 0006-Don-t-try-to-send-UD-messages-larger-than-MTU.patch
 BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
-%ifnarch ia64 %{sparc} %{arm}
+%ifnarch ia64 %{sparc} %{arm} aarch64
 BuildRequires: valgrind-devel
 %endif
 Requires(post): /sbin/ldconfig
@@ -66,7 +66,7 @@ displays information about RDMA devices.
 %patch5 -p1
 
 %build
-%ifnarch ia64 %{sparc} %{arm}
+%ifnarch ia64 %{sparc} %{arm} aarch64
 %configure --with-valgrind
 %else
 %configure


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jon Stanley 2013-06-06 14:06:40 EDT
Fixed and building in F19 and rawhide.

The question is why %{arm} doesn't cover this I guess....
Comment 2 Fedora Update System 2013-06-06 14:13:28 EDT
libibverbs-1.1.6-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libibverbs-1.1.6-7.fc19
Comment 3 Mark Salter 2013-06-06 14:39:22 EDT
%{arm} covers pre-armv8 32-bit architecture. These are not compatible with aarch64 (armv8).
Comment 4 Fedora Update System 2013-06-07 11:37:20 EDT
Package libibverbs-1.1.6-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libibverbs-1.1.6-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10257/libibverbs-1.1.6-7.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-17 18:04:54 EDT
libibverbs-1.1.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libibverbs-1.1.7-1.fc19
Comment 6 Fedora Update System 2013-08-01 23:36:47 EDT
libibverbs-1.1.7-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.